Summary: A command line CD/DVD-Recorder
Name: cdrtools
Version: 1.10a13
Release: 1
Group: Utilities/System
Copyright: GPL
Url: http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Vendor: Jrg Schilling <schilling@fokus.gmd.de>
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/alpha/cdrtools-%{version}.tar.gz
Source1: cdrecord.default
BuildRoot: /var/tmp/%{name}-root
Obsoletes: cdrecord

%description
CDRtools (formerly Cdrecord) allows you to create CD's on a CD-Recorder
(SCSI/ATAPI).  Supports data, audio, mixed, multi-session and CD+ discs
etc.

Remember to customize /etc/default/cdrecord before using cdrecord.


%prep
%setup -q -n cdrtools-1.10


%build
make
# collect %doc files
mkdir -p rpm_doc/{cdrecord,cdda2wav,mkisofs}
mv ABOUT AN* COPYING Changelog PORTING README* START rpm_doc/cdrecord
mv cdda2wav/{Changelog,FAQ,Frontends,GPL,HOWTOUSE,NEEDED,OtherProgs,README,THANKS,TODO} rpm_doc/cdda2wav
mv mkisofs/{COPYING,ChangeLog,ChangeLog.mkhybrid,README*,TODO} rpm_doc/mkisofs


%install
rm -rf $RPM_BUILD_ROOT
make INS_BASE=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/*

# Make cdrecord suid root so normal users can use it
chmod 4711 $RPM_BUILD_ROOT/usr/bin/cdrecord

# mkhybrid is identical to mkisofs so we make it a symlink
ln -sf mkisofs $RPM_BUILD_ROOT/usr/bin/mkhybrid

# Install my config file for 12x Plextor drives at SCSI ID 4.
mkdir -p $RPM_BUILD_ROOT/etc/default
install -m644 -p %{SOURCE1} $RPM_BUILD_ROOT/etc/default/cdrecord


%files
%defattr(-,root,root)
%doc rpm_doc/*
%config /etc/default/cdrecord
/usr/bin/*
/usr/include/*
/usr/lib/*
/usr/man/man*/*
/usr/sbin/*


%clean
rm -rf $RPM_BUILD_ROOT

